### Method

# Ide Snippet set_language

#### Declaration

    void
    ide_snippet_set_language (
      IdeSnippet* self,
      const gchar* language
    )

#### Description

Sets the language identifier for the snippet.

This should match the `GtkSourceLanguage:id` identifier.

Available since: | 3.32

Sets property | `Ide.Snippet:language`

#### Parameters

`language` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.